<template>
  <div class="main-container">
    <nav class="navbar">
      <div class="navbar-brand">FASCO</div>
      <div class="navbar-links">
        <a href="#" class="nav-link">Home</a>
        <a href="#" class="nav-link">Deals</a>
        <a href="#" class="nav-link">New Arrivals</a>
        <a href="#" class="nav-link">Packages</a>
        <a href="#" class="nav-link">Sign in</a>
        <a href="#" class="nav-link signup-button">Sign Up</a>
      </div>
    </nav>
    <section class="hero">
      <div class="hero-content">
        <div class="hero-left">
          <div class="hero-image-container">
            <img src="https://cdn.builder.io/api/v1/image/assets/TEMP/0223c8c4c8ed0ffe4a8f64296a856905a82aedd9bfc99622fdf93e96aff66e9b?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9" class="hero-image-main">
            <img src="https://cdn.builder.io/api/v1/image/assets/TEMP/874f97a3f74f0ea1d6b0a130d8b4b76625c7b74e9cf24288c59ca0da5d76e7de?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9" class="hero-image-secondary">
          </div>
        </div>
        <div class="hero-center">
          <img src="https://cdn.builder.io/api/v1/image/assets/TEMP/fef4453c813d96cfaa86daeb058e4d6e152a6e2afb04ba4a8892acd19108548b?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9" class="hero-sale-image">
          <div class="sale-text">ULTIMATE SALE</div>
          <div class="collection-text">NEW COLLECTION</div>
          <button class="shop-now-button">SHOP NOW</button>
          <img src="https://cdn.builder.io/api/v1/image/assets/TEMP/bbe74479d7eb9864852a1bc0118aabfb0dcf74110957b415b19fc607d210f166?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9" class="shop-now-image">
        </div>
        <div class="hero-right">
          <div class="hero-right-top">
            <img src="https://cdn.builder.io/api/v1/image/assets/TEMP/7deca29d390bc370ea8af844adf6ac30207a2cf9f31d349c9328ea6a703fc8f3?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9" class="hero-right-image-main">
            <img src="https://cdn.builder.io/api/v1/image/assets/TEMP/9b87d1d6be64e0f5b70dd0f1ce5e5d927baa186beb21abe29ea273e41076f08e?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9" class="hero-right-image-secondary">
          </div>
        </div>
      </div>
    </section>
    <section class="brands">
      <div class="brands-container">
        <img src="https://cdn.builder.io/api/v1/image/assets/TEMP/c98a79bb4182bbe892808164409222f57f6af37db7e4f72c61fec61f2fdb00be?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9" class="brand-image">
        <img src="https://cdn.builder.io/api/v1/image/assets/TEMP/b89391f8215e66b651b13b2f8e5cc640561f30f681a1f84db4b99ab04af0f597?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a" class="brand-image">
      </div>
    </section>
    <section class="monthly-deal">
      <div class="deal-content">
        <div class="deal-left">
          <h2 class="deal-title">Deals Of The Month</h2>
          <p class="deal-description">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Scelerisque duis ultrices sollicitudin aliquam sem.</p>
          <button class="buy-now-button">Buy Now</button>
          <div class="hurry-text">Hurry, Before It’s Too Late!</div>
          <div class="countdown">
            <div class="countdown-item">
              <div class="count-number">02</div>
              <div class="count-label">Days</div>
            </div>
            <div class="countdown-item">
              <div class="count-number">06</div>
              <div class="count-label">Hr</div>
            </div>
            <div class="countdown-item">
              <div class="count-number">05</div>
              <div class="count-label">Mins</div>
            </div>
            <div class="countdown-item">
              <div class="count-number">30</div>
              <div class="count-label">Sec</div>
            </div>
          </div>
          <img src="https://cdn.builder.io/api/v1/image/assets/TEMP/6176605a98b841123274e6d3b7e25bd0ee0e77b92c74d3a27bd1ebd83ac2ea9f?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9" class="deal-clock-image">
        </div>
        <div class="deal-right">
          <img src="https://cdn.builder.io/api/v1/image/assets/TEMP/aba5dd1c4dbfe421d830e2789c8da87b1bb8d0693a779ad4bce01d7836d4d8ce?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9" class="deal-right-image-main">
          <div class="deal-right-text">
            <div class="deal-right-title">
              <div class="deal-icon">01</div>
              <img src="https://cdn.builder.io/api/v1/image/assets/TEMP/f6b0d54da2defce2164c04c5e8cd443a7998a018f209e689559cccebaa54bd8a?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9" class="deal-spring-sale-icon">
              <h3 class="deal-spring-sale-title">Spring Sale</h3>
            </div>
            <div class="sale-discount">30% OFF</div>
          </div>
        </div>
      </div>
    </section>
    <section class="collections">
      <h2 class="section-title">New Arrivals</h2>
      <p class="section-description">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Scelerisque duis ultrices sollicitudin aliquam sem.</p>
      <div class="collection-categories">
        <button class="category-button">Men’s Fashion</button>
        <button class="category-button active">Women’s Fashion</button>
        <button class="category-button">Women Accessories</button>
        <button class="category-button">Men Accessories</button>
        <button class="category-button">Discount Deals</button>
      </div>
      <div class="collection-items">
        <div class="collection-item">
          <img src="https://cdn.builder.io/api/v1/image/assets/TEMP/457673b3e37828a8673963c54ca960c40dbb753638e5b124ab8b5af3c33d6571?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9&" alt="New Arrival Fashion" class="collection-image">
          <h3 class="item-title">Shiny Dress</h3>
          <p class="item-brand">Al Karam</p>
          <p class="item-reviews">(4.1k) Customer Reviews</p>
          <p class="item-price">$95.50</p>
          <p class="item-stock">Almost Sold Out</p>
        </div>
        <div class="collection-item">
          <img src="https://cdn.builder.io/api/v1/image/assets/TEMP/2449642aeb941f9fd606fcd2c3657da57704750d31469c1fc1e983b4d58a6df3?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9&" alt="New Arrival Fashion" class="collection-image">
          <h3 class="item-title">Long Dress</h3>
          <p class="item-brand">Al Karam</p>
          <p class="item-reviews">(4.1k) Customer Reviews</p>
          <p class="item-price">$95.50</p>
          <p class="item-stock">Almost Sold Out</p>
        </div>
        <div class="collection-item">
          <img src="https://cdn.builder.io/api/v1/image/assets/TEMP/be44c1f35faa3c2971f13e757659b2a941d63cf7a0a2397e974333f450e1a1f9?apiKey=2dd0d92a879d47b6ae736ff2b0fde8a9&" alt="New Arrival Fashion" class="collection-image">
          <h3 class="item-title">Full Sweater</h3>
          <p class="item-brand">Al Karam</p>
          <p class="item-reviews">(4.1k) Customer Reviews</p>
          <p class="item-price">$95.50</p>
          <p class="item-stock">Almost Sold Out</p>
        </div>
      </div>
      <button class="view-more-button">View More</button>
    </section>
    <section class="newsletter">
      <div class="newsletter-content">
        <h2 class="newsletter-title">Subscribe To Our Newsletter</h2>
        <p class="newsletter-description">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Scelerisque duis ultrices sollicitudin aliquam sem.</p>
        <form class="newsletter-form">
          <label for="newsletter-email" class="newsletter-label visually-hidden">Enter your email</label>
          <input type="email" id="newsletter-email" class="newsletter-input" placeholder="Enter your email" aria-label="Enter your email">
          <button type="submit" class="subscribe-button">Subscribe Now</button>
        </form>
      </div>
    </section>
    <footer class="footer">
      <div class="footer-container">
        <div class="footer-brand">FASCO</div>
        <nav class="footer-nav">
          <a href="#" class="footer-link">Support Center</a>
          <a href="#" class="footer-link">Invoicing</a>
          <a href="#" class="footer-link">Contract</a>
          <a href="#" class="footer-link">Careers</a>
          <a href="#" class="footer-link">Blog</a>
          <a href="#" class="footer-link">FAQ,s</a>
        </nav>
      </div>
      <div class="footer-copy">Copyright © 2022 Xpro . All Rights Reserved.</div>
    </footer>
  </div>
</template>

<style scoped>
.main-container {
  background-color: #fff;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 70px 0 29px;
}

.navbar {
  display: flex;
  width: 100%;
  max-width: 1560px;
  flex-direction: column;
}

@media (max-width: 991px) {
  .navbar {
    max-width: 100%;
  }
}

.navbar-brand {
  flex-grow: 1;
  font-size: 52px;
  font-family: Volkhov, sans-serif;
}

@media (max-width: 991px) {
  .navbar-brand {
    font-size: 40px;
  }
}

.navbar-links {
  display: flex;
  align-items: center;
  gap: 20px;
  font-size: 16px;
  justify-content: space-between;
}

@media (max-width: 991px) {
  .navbar-links {
    flex-wrap: wrap;
  }
}

.nav-link {
  font-family: Poppins, sans-serif;
}

.signup-button {
  border-radius: 10px;
  box-shadow: 0 20px 35px rgba(0, 0, 0, 0.15);
  background-color: #000;
  color: #fff;
  text-align: center;
  padding: 20px 46px;
}

@media (max-width: 991px) {
  .signup-button {
    padding: 0 20px;
  }
}

.hero {
  display: flex;
  margin-top: 94px;
  width: 100%;
  gap: 20px;
}

@media (max-width: 991px) {
  .hero {
    flex-wrap: wrap;
    margin-top: 40px;
  }
}

.hero-content {
  display: flex;
  gap: 20px;
}

@media (max-width: 991px) {
  .hero-content {
    flex-direction: column;
    align-items: stretch;
  }
}

.hero-left,
.hero-center,
.hero-right {
  width: 33%;
}

@media (max-width: 991px) {
  .hero-left,
  .hero-center,
  .hero-right {
    width: 100%;
  }
}

.hero-image-container,
.hero-right-top {
  border-radius: 10px;
  background-color: #e0e0e0;
  padding: 80px 0 0;
  display: flex;
  justify-content: center;
}

.hero-image-container {
  margin-top: 106px;
}

@media (max-width: 991px) {
  .hero-image-container {
    margin-top: 40px;
  }
}

.hero-image-main {
  width: 100%;
}

.hero-image-secondary {
  width: 100%;
  margin-top: 17px;
}

.hero-sale-image {
  width: 100%;
  margin: 50px 0 40px;
}

.hero-center .sale-text {
  margin-top: 35px;
  font-size: 20px;
  font-family: Poppins, sans-serif;
}

.shop-now-button {
  border-radius: 10px;
  box-shadow: 0 20px 35px rgba(0, 0, 0, 0.15);
  background-color: #000;
  color: #fff;
  text-align: center;
  padding: 23px 60px;
  font-family: Poppins, sans-serif;
}

@media (max-width: 991px) {
  .shop-now-button {
    padding: 0 20px;
  }
}

.shop-now-image {
  width: 100%;
  margin-top: 37px;
}

.brands {
  display: flex;
  margin-top: 27px;
  gap: 20px;
  justify-content: center;
  width: 100%;
}

@media (max-width: 991px) {
  .brands {
    margin-top: 40px;
  }
}

.brands-container {
  display: flex;
  gap: 20px;
}

.brand-image {
  width: 57px;
}

.monthly-deal {
  background: linear-gradient(180deg, #fff 0%, #fafafa 100%);
  margin-top: 100px;
  padding: 68px 0 68px 80px;
}

@media (max-width: 991px) {
  .monthly-deal {
    padding-left: 20px;
    margin-top: 40px;
  }
}

.deal-content {
  display: flex;
  gap: 20px;
}

@media (max-width: 991px) {
  .deal-content {
    flex-direction: column;
    align-items: stretch;
  }
}

.deal-left {
  width: 35%;
}

@media (max-width: 991px) {
  .deal-left {
    width: 100%;
  }
}

.deal-title {
  font-size: 46px;
  font-family: Volkhov, sans-serif;
}

@media (max-width: 991px) {
  .deal-title {
    font-size: 40px;
  }
}

.deal-description,
.hurry-text,
.count-label,
.deal-right-title {
  font-family: Poppins, sans-serif;
}

.deal-description {
  margin-top: 41px;
  font-size: 16px;
  line-height: 26px;
  color: #8a8a8a;
}

@media (max-width: 991px) {
  .deal-description {
    margin-top: 40px;
  }
}

.buy-now-button {
  border-radius: 10px;
  box-shadow: 0 20px 35px rgba(0, 0, 0, 0.15);
  background-color: #000;
  color: #fff;
  text-align: center;
  padding: 21px 60px;
  margin-top: 43px;
  font-family: Poppins, sans-serif;
}

@media (max-width: 991px) {
  .buy-now-button {
    margin-top: 40px;
    padding: 0 20px;
  }
}

.hurry-text {
  color: #484848;
  font-size: 28px;
  margin-top: 59px;
}

@media (max-width: 991px) {
  .hurry-text {
    margin-top: 40px;
  }
}

.countdown {
  display: flex;
  gap: 20px;
  margin-top: 19px;
}

@media (max-width: 991px) {
  .countdown {
    flex-direction: column;
    align-items: stretch;
  }
}

.countdown-item {
  display: flex;
  flex-direction: column;
  align-items: center;
  font-family: Poppins, sans-serif;
}

.count-number {
  border-radius: 10px;
  box-shadow: 0 4px 14px 1px rgba(0, 0, 0, 0.16);
  background-color: #fff;
  width: 76px;
  height: 76px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 32px;
  font-family: Digital Numbers, sans-serif;
}

.count-label {
  text-align: center;
  margin-top: 21px;
  font-size: 24px;
  line-height: 120%;
}

.deal-clock-image {
  width: 112px;
  margin-top: 54px;
}

@media (max-width: 991px) {
  .deal-clock-image {
    margin-top: 40px;
  }
}

.deal-right {
  width: 26%;
}

@media (max-width: 991px) {
  .deal-right {
    width: 100%;
  }
}

.deal-right-image-main {
  width: 100%;
}

.deal-right-title {
  display: flex;
  gap: 8px;
  font-size: 16px;
  line-height: 150%;
}

.deal-icon {
  font-family: Poppins, sans-serif;
}

.deal-spring-sale-icon {
  width: 27px;
}

.deal-spring-sale-title {
  font-family: Poppins, sans-serif;
}

.sale-discount {
  margin-top: 16px;
  font-size: 28px;
  line-height: 120%;
  font-family: Poppins, sans-serif;
}

.collections {
  text-align: center;
}

.section-title {
  color: #484848;
  font-size: 46px;
  font-family: Volkhov, sans-serif;
  margin-top: 157px;
}

@media (max-width: 991px) {
  .section-title {
    margin-top: 40px;
    font-size: 40px;
  }
}

.section-description {
  color: #8a8a8a;
  font-size: 16px;
  line-height: 26px;
  margin-top: 41px;
  width: 614px;
}

@media (max-width: 991px) {
  .section-description {
    margin-top: 40px;
  }
}

.collection-categories {
  display: flex;
  gap: 20px;
  margin-top: 53px;
  font-size: 16px;
  color: #8a8a8a;
  font-weight: 400;
  justify-content: space-between;
  padding: 0 20px;
}

@media (max-width: 991px) {
  .collection-categories {
    flex-wrap: wrap;
    margin-top: 40px;
  }
}

.category-button {
  font-family: Poppins, sans-serif;
  border-radius: 10px;
  background-color: #fafafa;
  padding: 22px 48px;
  justify-content: center;
  display: flex;
}

.category-button.active {
  box-shadow: 0 20px 35px rgba(0, 0, 0, 0.15);
  background-color: #000;
  color: #fff;
}

@media (max-width: 991px) {
  .category-button {
    padding: 0 20px;
  }
}

.collection-items {
  display: flex;
  gap: 20px;
  margin-top: 65px;
  width: 1230px;
  max-width: 100%;
  padding: 0 20px;
}

@media (max-width: 991px) {
  .collection-items {
    margin-top: 40px;
  }
}

.collection-item {
  text-align: left;
}

.collection-image {
  width: 100%;
}

.item-title,
.item-brand,
.item-reviews,
.item-price,
.item-stock {
  font-family: Poppins, sans-serif;
}
.item-title {
  font-size: 20px;
}

.item-brand,
.item-reviews,
.item-price {
  color: #8a8a8a;
  margin-top: 5px;
}

.item-price {
  margin-top: 27px;
  letter-spacing: -0.24px;
  font-size: 24px;
}

.item-stock {
  color: #ff4646;
  font-weight: 400;
  text-align: right;
  letter-spacing: -0.12px;
  line-height: 167%;
  margin-top: 91px;
}

.view-more-button {
  border-radius: 10px;
  box-shadow: 0 20px 35px rgba(0, 0, 0, 0.15);
  background-color: #000;
  margin-top: 86px;
  width: 207px;
  align-items: center;
  color: #fff;
  text-align: center;
  justify-content: center;
  padding: 22px 60px;
  font-family: Poppins, sans-serif;
}

@media (max-width: 991px) {
  .view-more-button {
    margin-top: 40px;
    padding: 0 20px;
  }
}

.newsletter {
  background-color: #fafafa;
  width: 100%;
  align-items: center;
  justify-content: center;
  padding: 69px 60px;
}

@media (max-width: 991px) {
  .newsletter {
    padding: 0 20px;
  }
}

.newsletter-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap: 28px;
}

.newsletter-title {
  color: #484848;
  font-size: 46px;
  font-family: Volkhov, sans-serif;
}

@media (max-width: 991px) {
  .newsletter-title {
    font-size: 40px;
  }
}

.newsletter-description {
  color: #8a8a8a;
  font-size: 16px;
  line-height: 26px;
}

.newsletter-form {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
  margin-top: 33px;
}

.newsletter-input {
  box-shadow: 0 163px 80px rgba(0, 0, 0, 0.04), 0 105.648px 46.852px rgba(0, 0, 0, 0.03), 0 62.785px 25.481px rgba(0, 0, 0, 0.02), 0 32.6px 13px rgba(0, 0, 0, 0.02), 0 13.281px 6.519px rgba(0, 0, 0, 0.02), 0 3.019px 3.148px rgba(0, 0, 0, 0.01);
  background-color: #fff;
  padding: 32px 30px;
  font-size: 22px;
  font-family: Poppins, sans-serif;
  white-space: nowrap;
}

@media (max-width: 991px) {
  .newsletter-input {
    padding: 0 20px;
    white-space: initial;
  }
}

.subscribe-button {
  font-family: Poppins, sans-serif;
  border-radius: 10px;
  box-shadow: 0 20px 35px rgba(0, 0, 0, 0.15);
  background-color: #000;
  color: #fff;
  text-align: center;
  line-height: 100%;
  justify-content: center;
  padding: 22px 45px;
}

@media (max-width: 991px) {
  .subscribe-button {
    padding: 0 20px;
  }
}

.footer {
  border: 1px solid #dedfe1;
  background-color: #dedfe1;
  width: 100%;
  margin-top: 49px;
  align-items: center;
  justify-content: center;
  padding: 33px 0;
}

@media (max-width: 991px) {
  .footer {
    margin-top: 40px;
  }
}

.footer-container {
  display: flex;
  flex-direction: column;
  text-align: center;
  gap: 20px;
}

.footer-brand {
  font-size: 32px;
  font-family: Volkhov, sans-serif;
}

.footer-nav {
  display: flex;
  justify-content: center;
  gap: 20px;
  font-size: 16px;
  flex-wrap: wrap;
}

.footer-link {
  font-family: Poppins, sans-serif;
}

.footer-copy {
  color: #484848;
  font-size: 12px;
  line-height: 217%;
  font-family: Poppins, sans-serif;
  margin-top: 63px;
}

@media (max-width: 991px) {
  .footer-copy {
    margin-top: 40px;
  }
}
</style>